/*
2025 © Monoform
http://www.monoform.no
*/

/* RESET
----------------------------------------------- */

* {
  shape-rendering: crispEdges;
}

*, *:after, *:before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  -webkit-tap-highlight-color: transparent; /* For some Androids */
}

* {
  margin: 0; 
  padding: 0; 
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

img, picture, video, canvas {
  display: block;
  width: 100%;
  height: auto;
}

img, picture, svg, video, canvas {
  vertical-align: middle; 
  font-style: italic;
}

input, button, textarea, select {
  font: inherit; 
}

html, body {
  height: 100%; 
  scroll-behavior: smooth;
  scroll-padding-top: 1em;
}

p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* FOCUS STYLING
----------------------------------------------- */

*:focus {
  outline-offset: 0;  /* Kan settes til -4px For å gjøre focusrammen mindre rundt objektet */
}

input:focus {
    outline: 0;
}

/* DEFAULT STYLING
----------------------------------------------- */

:root {
  --font-primary: 'aktiv-grotesk', serif;
  --color-primary: #737373;
  --color-text: #000000;
  --color-lightbackground: #f0f0f0;
  --global-spacing: 60px;
  --global-gap: 30px;
  --standard-lineheight: 1.5;
  --uc-typography-scale: 1.6;
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  :root {
    --global-spacing: 40px;
  }
}

html {
  font-size: 62.5%;
}

body { 
  background-color: #ffffff;
  color: var(--color-text);
  font-family: var(--font-primary);
  font-size: clamp(1.7rem, 0.411vw + 1.466rem, 2rem);
  font-weight: 300;
  line-height: var(--standard-lineheight);
  -webkit-text-size-adjust: none;
  -webkit-font-smoothing: antialiased;
  
  font-variant-numeric: lining-nums;
  -moz-font-feature-settings: "lnum";
  -webkit-font-feature-settings: "lnum";
  font-feature-settings: "lnum";
}

/* MARGER, PADDING OG STØRRELSER */

.wrapper-large {
  margin: 0 auto; 
  width: 88%; 
  max-width: 1600px;
}

.wrapper-normal {
  margin: 0 auto; 
  width: 88%; 
  max-width: 1300px;
}

.global-padding {
  padding: var(--global-spacing) 0;
}

#maincontent .prosjektinnhold-item:first-of-type {
  padding-top: 0;
}

.content-colorbg {
  background-color: var(--color-lightbackground);
}

.content-transbg + .content-transbg,
.content-colorbg + .content-colorbg /* Slås av hvis det brukes forskjellige fargede bakgrunner */ {
  padding-top: 0;
}

/* TEXT STYLING 
Bruk https://geary.co/clamp-calculator/
Min viewport 570px, Max viewport 1300px */

h1 {font-size: clamp(3.5rem, 1.233vw + 2.797rem, 4.4rem);}
h2 {font-size: clamp(2.8rem, 0.548vw + 2.488rem, 3.2rem);}
h3 {font-size: clamp(2rem, 0.411vw + 1.766rem, 2.3rem);}
h4 {font-size: clamp(1.7rem, 0.411vw + 1.466rem, 2rem);}
h5 {font-size: clamp(1.6rem, 0.274vw + 1.444rem, 1.8rem);}
h6 {font-size: clamp(1.4rem, 0.274vw + 1.244rem, 1.6rem);}

h1, h2, h3, h4, h5, h6 {
  font-weight: 500;
  text-wrap: balance;
}

h1, h2 {
  line-height: 1.2;
}

h3, h4, h5, h6 { 
  line-height: 1.35;
}

.titlestyle {
  padding-top: var(--global-spacing);
}

.titlestyle h1, 
.titlestyle h2 {
  padding-bottom: 0.8em;
}

.titlestyle h3,
.titlestyle h4, 
.titlestyle h5, 
.titlestyle h6 {
  padding-bottom: 1em;
}

.textstyle h3,
.textstyle h2,
.textstyle h1 {
  padding-bottom: 0.3em;
}

/* Styling av titler i moduloversikten */
h3 span {
  color: red;
  opacity: 0.5;
  font-weight: 500;
}

a {
  color: var(--color-primary);
  text-decoration: underline;
}

a:hover {
  color: var(--color-text);
}

a[href^="tel"] {
  color: inherit; /* Inherit text color of parent element. */
  text-decoration: none; /* Remove underline. */
  /* Additional css `propery: value;` pairs here */
}

strong {
  font-weight: 500;
}

em {
  font-style: italic;
}

.bildetekst {
  font-size: 1.8rem;
  font-style: italic;
  margin-top: 0.5em;
}

.breadcrumbs {
  font-size: 1.6rem;
  color: var(--color-primary);
  font-weight: 400;
  margin-bottom: 2em;
}

.breadcrumbs a {
  text-decoration: none;
  color: var(--color-primary);
}
.breadcrumbs a:hover {
  color: var(--color-text);
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  .breadcrumbs {
    font-size: 1.4rem;
    margin-bottom: 1em;
  }
}

.vis-flere {
  text-align: right;
  padding-top: 40px;
}

.vis-flere a {
  font-size: 2.4rem;
  font-weight: 600;
  color: var(--color-primary);
}

.vis-flere a:hover {
  color: var(--color-text);
}

.vis-flere a i {
  font-weight: 500;
  margin-left: 10px;
}

@media only screen and (max-width: 1279px) { /* Tablet Horizontal */
  .vis-flere a {
  font-size: 2.2rem;
  }
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  .vis-flere a {
  font-size: 2.0rem;
  }
}

.textstyle ol, .textstyle ul, .textstyle li {
  margin-left: 0;
  padding-left: 0;
}

.textstyle ul li {
  list-style-type: disc;
  margin-left: 1.15em;
}

.textstyle ol {
  list-style: decimal;
}

.textstyle ol li {
  list-style-position: outside;
  margin-left: 1.4em;
}

.textstyle p+p, .textstyle ul+p, .textstyle ol+p, .textstyle ol+ul, .textstyle ul+ol, .textstyle p+h3, .textstyle h3+h3, .textstyle ul+h3, .textstyle ol+h3,
.textstyle p+h2, .textstyle h2+h2, .textstyle ul+h2, .textstyle ol+h2, .textstyle p+h1, .textstyle h1+h1, .textstyle ul+h1, .textstyle ol+h1 {
  margin-top: 1.5em;
}

/* JUMP TO MAIN CONTENT */

.jump-to-main {
  position: absolute;
  left: -2000px;
  top: 10px;
  font-size: 16px;
  background-color: var(--color-text);
  color: #fff;
  padding: 5px 10px;
  text-decoration: none;
  z-index: 9999;
}

.jump-to-main:focus {
  left: 10px;
}

/* RESET FORM */

input[type=text],
input[type=email],
input[type=tel],
input[type=url],
input[type=search],
input[type=submit],
input[type=password],
textarea {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  -o-appearance:none;
}

input:focus::placeholder {
  color: transparent;
}

::placeholder {
   color: #9f9f9f;
}

::-webkit-input-placeholder {
   color: #9f9f9f;
}

:-moz-placeholder { /* Firefox 18- */
   color: #9f9f9f;
}

::-moz-placeholder {  /* Firefox 19+ */
   color: #9f9f9f;
}

:-ms-input-placeholder {  
   color: #9f9f9f;
}

/* BUTTON */

.button {
  appearance: none;
  -moz-appearance: none;
  -webkit-appearance: none;
  -o-appearance:none;
  display: inline-block;
  border: 0;
  border-radius: 0.2em;
  font-size: 1.5rem;
  font-weight: 400;
  text-decoration: none;
  letter-spacing: 0.5px;
  padding: 0.8em 1.8em;
  margin: 0;
  cursor: pointer;
  transition: background-color 0.4s;
}

.button-black,
.button-filter {
  border: 1px solid var(--color-primary);
  background-color: transparent;
  color: var(--color-primary);
}

.button-filter.active,
.button-filter:hover,
.button-black:hover {
  background-color: #eee;
  color: var(--color-text);
}

.button-white {
  border: 1px solid #fff;
  color: #fff;
}

.buttonwrapper {
  display: flex;
  width: 100%;
  gap: 10px;
  flex-wrap: wrap;
}

/* GRID */

.gridcontent {
  display: grid;
  grid-gap: var(--global-gap);
}

.grid-4 {
  grid-template-columns: repeat(4, 1fr);
}

.grid-3 {
  grid-template-columns: repeat(3, 1fr);
}

.grid-2 {
  grid-template-columns: repeat(2, 1fr);
}

.colorbox {
  height: 200px;
  background-color: var(--color-primary);
}

@media only screen and (max-width: 1279px) { /* Tablet Horizontal */
  .grid-4 {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (max-width: 1023px) { /* Tablet Vertical */
  .grid-3,
  .grid-4 {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 567px) { /* Mobile Vertical */
  .gridcontent {
    grid-template-columns: 1fr;
  }
}

/* MAIN MENU */

header {
  padding: 50px 0;
}

.logo-main {
  margin-right: auto;
}

.logo-main img {
  width: 280px;
}

header .hamburger {
  display: none;
}

.header-flex {
  width: 100%;
  display: flex;
  align-items: center;
}

nav ul {
  margin-top: 11px;
  display: flex;
  gap: 35px;
}

nav ul li a {
  font-size: 1.4rem;
  font-weight: 500;
  text-decoration: none;
  text-transform: uppercase;
  color: var(--color-primary);
  letter-spacing: 1px;
  display: block;
  transition: color 0.4s;
}

nav ul li a:hover {
  color: var(--color-text);
}

@media only screen and (max-width: 1023px) { /* Tablet Vertical */
  
  header .hamburger {
    display: block;
    margin-top: 6px;
    z-index: 9999;
  }
  
  .hamburger.is-active .hamburger-inner,
  .hamburger.is-active .hamburger-inner::before,
  .hamburger.is-active .hamburger-inner::after {
    background-color: #fff !important; 
  }
  
  nav {
    margin-left: 0;
    display: block;
    position: fixed;
    inset: 0;
    overflow-y: auto;
    overflow-x: hidden;
    opacity: 0;
    -webkit-overflow-scrolling: touch;
    visibility: hidden;
    background: #000;
    z-index: 9000;
    padding: 200px 6%;
  }
  
  body.menu-visible nav {
    opacity: 1;
    visibility: visible;
  }
  
  body.menu-visible {
    overflow: hidden; /* no scrollbar body when menu visible */
  }
  
  body.menu-visible main {
    pointer-events: none;
  }
  
  nav ul {
    margin-top: 0;
    flex-direction: column;
    gap: 25px;
  }
  
  nav ul li a {
    font-size: 3.0rem;
    font-weight: 500;
    text-transform: uppercase;
    color: #ccc;
  }
  
  nav ul li a:hover {
    color: #fff;
  }
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  header {
    padding: 30px 0;
  }
  
  .logo-main img {
    width: 220px;
  }
  
  header .hamburger {
    padding: 15px 0 15px 30px;
    margin-top: 6px;
  }
  
  nav {
    padding: 160px 6%;
  }
}

/* LAZY LOAD IMAGES
----------------------------------------------- */

.blurload::before {
  content: "";
  position: absolute;
  inset: 0;
  animation: blinker 2s infinite;
  z-index: 99;
}

.blurload.loaded:before {
  content: none;
}

.blurload {
  position: relative;
  background-size: cover;
  background-position: center;
  width: 100%;
}

.blurload > img {
  opacity: 0;
  transition: opacity .2s ease-in-out;
}

.blurload.loaded > img {
  opacity: 1;
}

@keyframes blinker {
  0% {
    background-color: rgba(255, 255, 255, 0);
  }
  
  50% {
    background-color: rgba(255, 255, 255, 0.5);
  }
  
  100% {
    background-color: rgba(255, 255, 255, 0);
  }
}

/* FORSIDE */

.frontpage-intro h1 {
  font-size: clamp(4rem, 2.055vw + 2.829rem, 5.5rem);
  font-weight: 300;
} 

.button-group {
  margin-bottom: 40px;
}

.portfolio-padding {
  overflow: hidden;
  padding: 0 4px;
}

.portfolio {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
}

.portfolioitem {
  position: relative;
  cursor: pointer;
  overflow: hidden;
}

.portfolio .portfolioitem {
  margin: 4px;
  width: calc(20% - 8px);
}

.portfolioitem .blurload {
  aspect-ratio: 900/588;
}

.portfolioitem img {
  width: 100%;
  height: 100%;
  object-position: center;
  object-fit: cover;
  transition: transform .2s ease-in-out;
}

.portfolioitem:hover img {
  transform: scale(1.15);
}

.portfolioitem .overlay {
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 8%;
  overflow: hidden;
  transition: opacity 0.4s ease-in-out;
  opacity: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.portfolioitem:hover .overlay {
  opacity: 1;
}

.overlay-title {
  font-size: 2.5rem;
  font-weight: 500;
  line-height: 1.35;
  text-wrap: balance;
}

.overlay-categories {
  font-size: 2rem;
  font-weight: 300;
  line-height: 1.35;
}

@media only screen and (max-width: 1500px) {
  .portfolio .portfolioitem {
    width: calc(25% - 8px);
  }
}

@media only screen and (max-width: 1090px) {
  .portfolio .portfolioitem {
    width: calc(33.33% - 8px);
  }
}

@media only screen and (max-width: 1023px) { /* Tablet Vertical */
  .portfolio-filters {
    display: none;
  }
  .portfolio .portfolioitem {
    width: calc(50% - 8px);
  }
}

@media only screen and (max-width: 567px) { /* Mobile Vertical */
  .portfolio-padding {
    padding: 0 8px;
  }
  
  .portfolio .portfolioitem{
    width: 100%;
    margin: 4px 0px;
  }
}

/* FLUID CONTENT
----------------------------------------------- */

.portfoliobilder-item + .portfoliobilder-item {
  margin-top: 30px;
}

.columnswrapper {
  display: grid;
  grid-template-columns: 2.5fr 1fr;
  gap: 60px;
}

.column-aside {
  font-size: 1.7rem;
}

@media only screen and (max-width: 1023px) { /* Tablet Vertical */
  .columnswrapper {
    grid-template-columns: 1fr;
    gap: 30px;
  }
}

/* HR STYLING */

hr {
  border: 0;
  height: 0;
  padding: 0;
  margin: 0;
  border-top: 1px solid var(--color-text);
}

/* Innhold-ingress */

.innhold-ingress {
  font-size: clamp(1.9rem, 0.411vw + 1.666rem, 2.2rem);
  font-weight: 600;
  margin-bottom: 1.4em;
}

.innhold-ingress.content-transbg + .innhold-brodtekst.content-transbg {
  margin-top: calc(var(--global-spacing) * -1);
  padding-top: 1.5em; /* TAS VEKK VED RIKTIG FLUID */
}

/* PAGE TEMPLATE */

.fluidpadding-bottom {
  margin-bottom: 40px;
}

.fluidpadding-bottom-small {
  margin-bottom: 20px;
}

.fullbreddehero,
.kartwrapper {
  height: 400px !important;
  width: 100% !important;
  display: block;
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  .fullbreddehero,
  .kartwrapper {
    height: 300px !important;
  }
}

.kartwrapper.kart-stort {
  height: 800px !important;
}

.page-title {
  margin-bottom: 30px;
}

.page-title h1 {
  margin-bottom: 5px;
}

.kategorier,
.kategorier a,
.bloggdato {
  font-size: 16px;
  color: #707070;
  text-decoration: none;
}

.kategorier a:hover {
  color: #2c2c2c;
}

.bloggdato {
  text-transform: lowercase
}

.bloggdato a:hover {
  color: #2c2c2c;
}

.ingress {
  font-size: 21px;
  margin-bottom: 1.4em;
}

.prosjekt-data p {
  margin-bottom: 10px;
}

.caption {
  margin-top: 0.6em;
  font-size: 16px;
  color: #707070;
}

/* BLOGINDEX */

.blog-index.grid-4 {
  gap: 40px 30px;
}

.blog-index img {
  aspect-ratio: 655/400;
}

.blogimage-link {
  display: block;
}

.blog-index .grid-item img,
.blog-index .grid-item h2,
.blog-index .grid-item .blogindex-excerpt,
.blog-index .grid-item .kategorier
 {
  margin-bottom: 15px;
}

.blogindex-excerpt {
  font-size: 16px;
  line-height: 1.45em;
}

.blog-index .grid-item h2 a {
  color: #2c2c2c;
}

.blog-index .blogindex-content a {
  text-decoration: none;
}

/* Pagination */

.pagination {
    display: block;
    font-size: 15px;
}
.pagination ul {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    list-style: none;
    padding: 0;
    margin: 0;
    margin-top: 40px;
}
.pagination ul > li {
    display: inline-block;
    margin-right: 2px;
}
.pagination ul > li > a,
.pagination ul > li > span {
    float: none;
    border: none;
    border: 1px solid #707070;
    border-radius: 0.2rem;
    color: #707070;
    font-weight: 700;
    text-decoration: none;
    padding: 9px 15px;
}
.pagination ul > li > a:hover,
.pagination ul > li > a:focus,
.pagination ul > .active > a,
.pagination ul > .active > span {
    border: 1px solid #2c2c2c;
    color: #2c2c2c;
    background: #f7f7f7;;
}

.pageresultat {
  margin-top: 15px;
  color: #707070;
}

/* MOST POPULAR BLOGG / KATEGORILISTE */

.most-pop .pop-item {
  display: block;
  margin-top: 15px;
  text-decoration: none;
  color: #2c2c2c;
  
  display: flex;
}

.most-pop .pop-item:hover {
  opacity: 0.8;
}

.most-pop img {
  width: 70px;
}

.most-pop .pop-thumb {
  margin-right: 15px;
}

.most-pop h4 {
  font-size: 16px;
}

.most-pop .blogindex-date {
  font-size: 14px;
}

.kategoriliste a {
  color: #2c2c2c;
  text-decoration: none;
}

.kategoriliste a:hover {
  color: #606060;
}

/* TJENESTER */

.tjeneste-item {
  border-top: 1px solid #9f9f9f;
  margin-top: 40px; 
  padding-top: 40px;
}

.tjeneste-item h2 {
  margin-bottom: 1em;
}

/* KAMPANJESIDER */

.kampanjeside .columnswrapper {
  grid-template-columns: 1fr;
}

.kampanjeside .column-aside {
 display: none;
}

.kampanjeside h1,
.kampanjeside .fluid-tekstinnhold,
.kampanjeside .innhold-ingress {
  max-width: 835px;
}

.prosessitem .flexitem {
  width: 100%;
}

.prosessitem {
  display: flex;
  align-items: center;
  
  background: #000;
  color: #fff;
  padding: 60px;
  border-radius: 15px;
  font-size: 19px;
  font-weight: 400;
}

.prosessitem a {
  color: #fff;
  opacity: 0.6;
}

.prosessitem a:hover {
  opacity: 1;
}

.prosessitem a.button-white {
  opacity: 1;
  font-size: 18px;
  margin-top: 40px;
}

.prosessitem a.button-white:hover {
  opacity: 0.6;
}

.prosessitem + .prosessitem {
  margin-top: 20px;
}

.prosess-tittel-container {
  max-width: 400px;
  padding-right: 50px;
}

.prosess-nummer {
  font-size: 48px;
  font-weight: 700;
  opacity: 0.4;
  line-height: 1.2em;
}

.prosess-tittel {
  font-size: 36px;
  font-weight: 500;
  line-height: 1.2em;
}

.portfolio-referanser .grid-4 {
  gap: 8px;
}

.portfolio-referanser .overlay-title {
  font-size: 2.0rem;
}

@media only screen and (max-width: 1023px) { /* Tablet Vertical */  
  .prosessitem {
    flex-direction: column;
    align-items: flex-start;
    padding: 60px 40px;
    font-size: 18px;
  }
  
  .prosess-tittel-container {
    padding-right: 0;
    margin-bottom: 40px;
  }
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  .prosessitem {
    padding: 50px 30px;
  }
}

/* Innhold-video */

.videowrapper {
  position: relative;
  display: block;
  width: 100%;
  padding: 0;
  overflow: hidden;
}

.videowrapper::before {
  padding-top: 56.25%;
  display: block;
  content: "";
}

.videowrapper iframe {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

/* FOOTER */

.footer {
  font-size: 1.6rem;
  font-weight: 400;
  padding: 50px 0 45px 0;
}

.footer-trustpilot {
  margin-bottom: 50px;
}

.trustpilot-widget iframe {
    transform: scale(1.5);
}

.footer .lightmode,
.footer .darkmode {
  overflow: hidden;
  padding: 5px 0;
}

.footer-flex {
  display: flex;
  gap: 30px 80px;
  flex-wrap: wrap;
}

.privacy {
  margin-right: auto;
}

.footer-socials {
  display: flex;
  gap: 10px 20px;
}

.footer-socials a {
  text-decoration: none;
}

@media only screen and (max-width: 767px) { /* Mobile Horizontal */
  .footer {
    padding: 60px 0 40px 0;
  }
  
  .trustpilot-widget iframe {
      transform: scale(1.1);
  }
  
  .footer-flex {
    flex-direction: column;
    align-items: center;
  }
  
  .privacy {
    width: 100%;
    text-align: center;
  }
  
  .copyrights {
    order: 2;
    text-align: center;
    width: 100%;
  }
  
  .footer-socials {
    margin-bottom: 30px;
    justify-content: center;
    flex-wrap: wrap;
  }
}

/* DARKMODE
----------------------------------------------- */

.darkmode {
  display: none;
}

@media (prefers-color-scheme: dark) {
  body {
    background-color: #2c2c2c;
    color: #e4e4e4;
  }
  
  a {
    color: #fff;
  }
    
  img {
    filter: grayscale(30%);
  }
    
  .darkmode {
    display: inline-block;
  }
  
  .lightmode {
    display: none;
  }
  
  .logo-main {
    opacity: 0.85;
  }
  
  .mainmenu ul li a:hover {
    color: #fff;
  }
  
  .button-black,
  .button-filter {
    border: 1px solid #e4e4e4;
    background-color: transparent;
    color: #e4e4e4;
  }
  
  .button-filter.active,
  .button-filter:hover,
  .button-black:hover {
    background-color: transparent;
    color: #fff;
  }
  
  .kategorier,
  .kategorier a,
  .bloggdato {
    font-size: 16px;
    color: #999999;
    text-decoration: none;
  }
  
  .pagination ul > li > a:hover,
  .pagination ul > li > a:focus,
  .pagination ul > .active > a,
  .pagination ul > .active > span {
    background: #999999;;
  }
  
  .blog-index .grid-item h2 a {
    color: #e4e4e4;
  }
  
  .most-pop .pop-item {
    color: #e4e4e4;
  }
  
  .kategoriliste a {
    color: #e4e4e4;
  }
  
  .hamburger.is-active .hamburger-inner,
  .hamburger.is-active .hamburger-inner::before,
  .hamburger.is-active .hamburger-inner::after {
    background-color: #fff !important; 
  }
  
  .hamburger-inner,
  .hamburger-inner::before,
  .hamburger-inner::after {
    background-color: #fff !important;
  } 
}